> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rhino.fi/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtain a list of previously generated swapping and/or bridging quotes

> This endpoint provides a full history of a user's bridging and swapping activity. This includes commits for quotes generated through the `POST /quote/user` and `POST /quote/bridge-swap/user` endpoints and submitted through `POST /quote/commit/{quoteId}`, as well as bridges initiated via a Smart Deposit Address.



## OpenAPI

````yaml https://api.rhino.fi/bridge/swagger.json get /history-cursor/user
openapi: 3.1.0
info:
  title: Bridge API
  version: 0.0.1
  description: Functionality for interacting with Rhino bridge service
servers:
  - url: https://api.rhino.fi/bridge
security: []
tags:
  - name: quote
  - name: configs
  - name: history
  - name: swap
  - name: depositAddresses
paths:
  /history-cursor/user:
    get:
      tags:
        - history
      summary: Obtain a list of previously generated swapping and/or bridging quotes
      description: >-
        This endpoint provides a full history of a user's bridging and swapping
        activity. This includes commits for quotes generated through the `POST
        /quote/user` and `POST /quote/bridge-swap/user` endpoints and submitted
        through `POST /quote/commit/{quoteId}`, as well as bridges initiated via
        a Smart Deposit Address.
      operationId: history.userHistoryCursor
      parameters:
        - name: sortBy
          in: query
          schema:
            type: string
            enum:
              - createdAt
              - updatedAt
            description: >-
              The field that results will be sorted by. Either "createdAt"
              (sorting by the datetime that the quote was created) or
              "updatedAt" (sorting by the datetime that the quote was last
              updated). Must be used in conjunction with sortDirection.
          required: true
          description: >-
            The field that results will be sorted by. Either "createdAt"
            (sorting by the datetime that the quote was created) or "updatedAt"
            (sorting by the datetime that the quote was last updated). Must be
            used in conjunction with sortDirection.
        - name: sortDirection
          in: query
          schema:
            type: string
            enum:
              - asc
              - desc
            description: >-
              The order that results will be returned in. Either "asc" or
              "desc". Must be used in conjunction with sortBy.
          required: true
          description: >-
            The order that results will be returned in. Either "asc" or "desc".
            Must be used in conjunction with sortBy.
        - name: state
          in: query
          schema:
            type: string
            enum:
              - PENDING
              - ACCEPTED
              - EXECUTED
            description: >-
              Optional filter by the status of the bridge/bridge+swap
              transaction. One of: "PENDING" (the quote has been committed but
              the deposit has not yet been received and accepted for
              processing), "ACCEPTED" (the deposit has been accepted and the
              transaction is being processed onchain), or "EXECUTED" (fully
              processed onchain).
          required: false
          description: >-
            Optional filter by the status of the bridge/bridge+swap transaction.
            One of: "PENDING" (the quote has been committed but the deposit has
            not yet been received and accepted for processing), "ACCEPTED" (the
            deposit has been accepted and the transaction is being processed
            onchain), or "EXECUTED" (fully processed onchain).
        - name: pageToken
          in: query
          schema:
            type: string
            description: >-
              An opaque token identifying the page of results to return, as
              provided by the `nextPageToken` field of a previous response.
              Should be used in conjunction with pageSize.
            title: nonEmptyString
            minLength: 1
          required: false
          description: >-
            An opaque token identifying the page of results to return, as
            provided by the `nextPageToken` field of a previous response. Should
            be used in conjunction with pageSize.
        - name: pageSize
          in: query
          schema:
            type: string
            description: >-
              The number of results to display per pageToken, e.g. "25" (maximum
              50). This helps filter long responses and should be used in
              conjunction with pageToken.
          required: true
          description: >-
            The number of results to display per pageToken, e.g. "25" (maximum
            50). This helps filter long responses and should be used in
            conjunction with pageToken.
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                required:
                  - items
                  - nextPageToken
                properties:
                  items:
                    type: array
                    items:
                      anyOf:
                        - anyOf:
                            - type: object
                              required:
                                - _id
                                - userId
                                - chainIn
                                - chainOut
                                - amountIn
                                - amountInUsd
                                - amountOut
                                - amountOutUsd
                                - amountNative
                                - amountNativeUsd
                                - fee
                                - feeUsd
                                - gasFee
                                - gasFeeUsd
                                - platformFee
                                - platformFeeUsd
                                - percentageFee
                                - percentageFeeUsd
                                - sourceGasFee
                                - sourceGasFeeUsd
                                - sponsoredFees
                                - recipient
                                - depositor
                                - createdAt
                                - commitmentDate
                                - token
                                - usdPrice
                                - state
                              properties:
                                _id:
                                  type: string
                                userId:
                                  type: string
                                  description: >-
                                    The projectID that the transaction is
                                    associated with.
                                chainIn:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    from.
                                chainOut:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    to.
                                amountIn:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainIn.
                                amountInUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainIn.
                                amountOut:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainOut.
                                amountOutUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainOut.
                                amountNative:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    - type: 'null'
                                  description: >-
                                    The amount of native gas token (e.g. ETH,
                                    MATIC, BNB) that was delivered to the user's
                                    wallet on the destination chain as part of
                                    gas boost functionality, where Rhino.fi
                                    delivers a small amount of native gas token
                                    to the destination address, ensuring that
                                    further transactions from this address can
                                    be made immediately.
                                amountNativeUsd:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    - type: 'null'
                                  description: The value, in USD, of amountNative.
                                fee:
                                  type: string
                                  description: >-
                                    The total cost of the transaction as paid by
                                    the end customer, denominated in the token.
                                feeUsd:
                                  type: number
                                  description: The total cost, in USD, of the transaction.
                                gasFee:
                                  type: string
                                  description: >-
                                    Any chain specific costs charged to the end
                                    customer for the chainOut part of the
                                    overall transaction. Further information
                                    about which chains have these associated
                                    costs can be found here:
                                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                    If these costs are being paid by the client
                                    then this value will be zero and the gasFee
                                    and gasFeeUsd in the sponsored fee body will
                                    be non-zero.
                                gasFeeUsd:
                                  type: number
                                  description: The gasFee value, in USD.
                                platformFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the $-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                platformFeeUsd:
                                  type: number
                                  description: The platformFee value, in USD.
                                percentageFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the %-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                percentageFeeUsd:
                                  type: number
                                  description: The percentageFee value, in USD.
                                sourceGasFee:
                                  type: string
                                  description: >-
                                    The cost on the chainIn to sweep the
                                    received tokens into Rhino.fi's control. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut. For
                                    PAYG/Subscription tier clients this is paid
                                    by Rhino.fi as part of the PAYG/Subscription
                                    monthly cost so no direct cost is passed
                                    onto the end customer, unless configured
                                    this way. This is only relevant for
                                    transactions involving a Rhino.fi Smart
                                    Deposit Address; for bridging/swapping-only
                                    activity the sourceGasFee will be paid
                                    directly by the customer within their
                                    depositing transaction.
                                sourceGasFeeUsd:
                                  type: number
                                  description: The sourceGasFee value, in USD.
                                sponsoredFees:
                                  type: object
                                  required:
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                  properties:
                                    fee:
                                      type: string
                                      description: The total cost of the transaction.
                                    feeUsd:
                                      type: number
                                      description: >-
                                        The total cost of the transaction, in
                                        USD.
                                    gasFee:
                                      type: string
                                      description: >-
                                        Any chain specific costs charged to the
                                        client for the chainOut part of the
                                        overall transaction. Further information
                                        about which chains have these associated
                                        costs can be found here:
                                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                        If these costs are being passed on to
                                        the end user then this value will be
                                        zero and the gasFee and gasFeeUsd in the
                                        main fee body will be non-zero.
                                    gasFeeUsd:
                                      type: number
                                      description: The gasFee value, in USD.
                                    platformFee:
                                      type: string
                                      description: >-
                                        The value of any additional fee levied
                                        on top by Rhino.fi and paid by the
                                        client. This is only relevant for legacy
                                        clients.
                                    platformFeeUsd:
                                      type: number
                                      description: The platformFee value, in USD.
                                    percentageFee:
                                      type: string
                                      description: >-
                                        Will be zero since this represents a
                                        charge levied on the end customer by the
                                        client. To understand the value charged
                                        to the end customer, the percentageFee
                                        value from the main fee body should be
                                        used. N.B. for PAYG/Subscription clients
                                        this is now referred to as the "Client
                                        Surcharge".
                                    percentageFeeUsd:
                                      type: number
                                      description: The percentageFee value, in USD.
                                    sourceGasFee:
                                      type: string
                                      description: >-
                                        The cost on the chainIn to sweep the
                                        received tokens into Rhino.fi's control.
                                        For legacy clients this is deducted from
                                        the tokens sent on the chainOut. For
                                        PAYG/Subscription tier clients this is
                                        paid by Rhino.fi as part of the
                                        PAYG/Subscription monthly cost so no
                                        direct cost is passed onto the client,
                                        unless configured to be passed onto the
                                        end customer. This is only relevant for
                                        transactions involving a Rhino.fi Smart
                                        Deposit Address; for
                                        bridging/swapping-only activity the
                                        sourceGasFee will be paid directly by
                                        the customer within their depositing
                                        transaction.
                                    sourceGasFeeUsd:
                                      type: number
                                      description: The sourceGasFee value, in USD.
                                  additionalProperties: false
                                  description: >-
                                    For both legacy and PAYG/Subscription
                                    clients, represents the fees that are paid
                                    by the client on behalf of the end customer.
                                recipient:
                                  type: string
                                  description: >-
                                    The address on the chainOut that received
                                    the bridged tokens.
                                depositor:
                                  type: string
                                  description: >-
                                    The address on the chainIn that sent the
                                    tokens for bridging.
                                createdAt:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was created.
                                commitmentDate:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was committed with
                                    Rhino.fi.
                                speed:
                                  type: string
                                  enum:
                                    - fast
                                    - standard
                                    - slow
                                  description: >-
                                    Provides information about whether the
                                    transaction is expected to be completed
                                    "fast" (typically under 30 seconds),
                                    "standard" (typically under a minute) or
                                    "slow" (can be up to 20 minutes). For more
                                    information on our bridge processing speeds
                                    please read this article on the Rhino.fi
                                    Knowledge Base:
                                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                                estimatedDuration:
                                  type: number
                                  description: >-
                                    The estimated time for the transaction to
                                    complete in milliseconds.
                                  title: nonNegative
                                  minimum: 0
                                postBridgeData:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/ExtendedPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapSandboxPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                    - $ref: >-
                                        #/components/schemas/AaveV3SupplyPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/RocketFoundationDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/MapleDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/EtherfiDepositPostBridgeData
                                  description: >-
                                    Custom Routing Rules as configured by
                                    Rhino.fi for a specific client, e.g. to move
                                    funds after the initial bridge into a yield
                                    bearing vault. To understand more about how
                                    Routing Rules can help automate onchain
                                    actions and ensure that your funds land in
                                    an active state, please contact your
                                    Rhino.fi Customer Success Manager or speak
                                    to a member of the Rhino.fi sales team.
                                flowCredits:
                                  type: number
                                  description: >-
                                    The number of Flow Credits that this
                                    transaction will use from the client's
                                    agreed Rhino.fi PAYG/Subscription tier.
                                token:
                                  type: string
                                  description: >-
                                    The asset being bridged, sent on the chainIn
                                    and received on the chainOut.
                                usdPrice:
                                  type: number
                                  description: >-
                                    The USD price of the token at the time the
                                    quote was created.
                                _tag:
                                  type: string
                                  enum:
                                    - bridge
                                state:
                                  type: string
                                  enum:
                                    - PENDING
                              additionalProperties: false
                            - type: object
                              required:
                                - _tag
                                - _id
                                - userId
                                - chainIn
                                - chainOut
                                - amountIn
                                - amountInUsd
                                - amountOut
                                - amountOutUsd
                                - amountNative
                                - amountNativeUsd
                                - fee
                                - feeUsd
                                - gasFee
                                - gasFeeUsd
                                - platformFee
                                - platformFeeUsd
                                - percentageFee
                                - percentageFeeUsd
                                - sourceGasFee
                                - sourceGasFeeUsd
                                - sponsoredFees
                                - recipient
                                - depositor
                                - createdAt
                                - commitmentDate
                                - tokenIn
                                - tokenOut
                                - minAmountOut
                                - minAmountOutUsd
                                - usdPriceTokenIn
                                - usdPriceTokenOut
                                - state
                              properties:
                                _tag:
                                  type: string
                                  enum:
                                    - bridgeSwap
                                _id:
                                  type: string
                                userId:
                                  type: string
                                  description: >-
                                    The projectID that the transaction is
                                    associated with.
                                chainIn:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    from.
                                chainOut:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    to.
                                amountIn:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainIn.
                                amountInUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainIn.
                                amountOut:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainOut.
                                amountOutUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainOut.
                                amountNative:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    - type: 'null'
                                  description: >-
                                    The amount of native gas token (e.g. ETH,
                                    MATIC, BNB) that was delivered to the user's
                                    wallet on the destination chain as part of
                                    gas boost functionality, where Rhino.fi
                                    delivers a small amount of native gas token
                                    to the destination address, ensuring that
                                    further transactions from this address can
                                    be made immediately.
                                amountNativeUsd:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    - type: 'null'
                                  description: The value, in USD, of amountNative.
                                fee:
                                  type: string
                                  description: >-
                                    The total cost of the transaction as paid by
                                    the end customer, denominated in the token.
                                feeUsd:
                                  type: number
                                  description: The total cost, in USD, of the transaction.
                                gasFee:
                                  type: string
                                  description: >-
                                    Any chain specific costs charged to the end
                                    customer for the chainOut part of the
                                    overall transaction. Further information
                                    about which chains have these associated
                                    costs can be found here:
                                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                    If these costs are being paid by the client
                                    then this value will be zero and the gasFee
                                    and gasFeeUsd in the sponsored fee body will
                                    be non-zero.
                                gasFeeUsd:
                                  type: number
                                  description: The gasFee value, in USD.
                                platformFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the $-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                platformFeeUsd:
                                  type: number
                                  description: The platformFee value, in USD.
                                percentageFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the %-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                percentageFeeUsd:
                                  type: number
                                  description: The percentageFee value, in USD.
                                sourceGasFee:
                                  type: string
                                  description: >-
                                    The cost on the chainIn to sweep the
                                    received tokens into Rhino.fi's control. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut. For
                                    PAYG/Subscription tier clients this is paid
                                    by Rhino.fi as part of the PAYG/Subscription
                                    monthly cost so no direct cost is passed
                                    onto the end customer, unless configured
                                    this way. This is only relevant for
                                    transactions involving a Rhino.fi Smart
                                    Deposit Address; for bridging/swapping-only
                                    activity the sourceGasFee will be paid
                                    directly by the customer within their
                                    depositing transaction.
                                sourceGasFeeUsd:
                                  type: number
                                  description: The sourceGasFee value, in USD.
                                sponsoredFees:
                                  type: object
                                  required:
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                  properties:
                                    fee:
                                      type: string
                                      description: The total cost of the transaction.
                                    feeUsd:
                                      type: number
                                      description: >-
                                        The total cost of the transaction, in
                                        USD.
                                    gasFee:
                                      type: string
                                      description: >-
                                        Any chain specific costs charged to the
                                        client for the chainOut part of the
                                        overall transaction. Further information
                                        about which chains have these associated
                                        costs can be found here:
                                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                        If these costs are being passed on to
                                        the end user then this value will be
                                        zero and the gasFee and gasFeeUsd in the
                                        main fee body will be non-zero.
                                    gasFeeUsd:
                                      type: number
                                      description: The gasFee value, in USD.
                                    platformFee:
                                      type: string
                                      description: >-
                                        The value of any additional fee levied
                                        on top by Rhino.fi and paid by the
                                        client. This is only relevant for legacy
                                        clients.
                                    platformFeeUsd:
                                      type: number
                                      description: The platformFee value, in USD.
                                    percentageFee:
                                      type: string
                                      description: >-
                                        Will be zero since this represents a
                                        charge levied on the end customer by the
                                        client. To understand the value charged
                                        to the end customer, the percentageFee
                                        value from the main fee body should be
                                        used. N.B. for PAYG/Subscription clients
                                        this is now referred to as the "Client
                                        Surcharge".
                                    percentageFeeUsd:
                                      type: number
                                      description: The percentageFee value, in USD.
                                    sourceGasFee:
                                      type: string
                                      description: >-
                                        The cost on the chainIn to sweep the
                                        received tokens into Rhino.fi's control.
                                        For legacy clients this is deducted from
                                        the tokens sent on the chainOut. For
                                        PAYG/Subscription tier clients this is
                                        paid by Rhino.fi as part of the
                                        PAYG/Subscription monthly cost so no
                                        direct cost is passed onto the client,
                                        unless configured to be passed onto the
                                        end customer. This is only relevant for
                                        transactions involving a Rhino.fi Smart
                                        Deposit Address; for
                                        bridging/swapping-only activity the
                                        sourceGasFee will be paid directly by
                                        the customer within their depositing
                                        transaction.
                                    sourceGasFeeUsd:
                                      type: number
                                      description: The sourceGasFee value, in USD.
                                  additionalProperties: false
                                  description: >-
                                    For both legacy and PAYG/Subscription
                                    clients, represents the fees that are paid
                                    by the client on behalf of the end customer.
                                recipient:
                                  type: string
                                  description: >-
                                    The address on the chainOut that received
                                    the bridged tokens.
                                depositor:
                                  type: string
                                  description: >-
                                    The address on the chainIn that sent the
                                    tokens for bridging.
                                createdAt:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was created.
                                commitmentDate:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was committed with
                                    Rhino.fi.
                                speed:
                                  type: string
                                  enum:
                                    - fast
                                    - standard
                                    - slow
                                  description: >-
                                    Provides information about whether the
                                    transaction is expected to be completed
                                    "fast" (typically under 30 seconds),
                                    "standard" (typically under a minute) or
                                    "slow" (can be up to 20 minutes). For more
                                    information on our bridge processing speeds
                                    please read this article on the Rhino.fi
                                    Knowledge Base:
                                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                                estimatedDuration:
                                  type: number
                                  description: >-
                                    The estimated time for the transaction to
                                    complete in milliseconds.
                                  title: nonNegative
                                  minimum: 0
                                postBridgeData:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/ExtendedPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapSandboxPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                    - $ref: >-
                                        #/components/schemas/AaveV3SupplyPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/RocketFoundationDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/MapleDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/EtherfiDepositPostBridgeData
                                  description: >-
                                    Custom Routing Rules as configured by
                                    Rhino.fi for a specific client, e.g. to move
                                    funds after the initial bridge into a yield
                                    bearing vault. To understand more about how
                                    Routing Rules can help automate onchain
                                    actions and ensure that your funds land in
                                    an active state, please contact your
                                    Rhino.fi Customer Success Manager or speak
                                    to a member of the Rhino.fi sales team.
                                flowCredits:
                                  type: number
                                  description: >-
                                    The number of Flow Credits that this
                                    transaction will use from the client's
                                    agreed Rhino.fi PAYG/Subscription tier.
                                tokenIn:
                                  type: string
                                  description: The asset that was sent on the chainIn.
                                tokenOut:
                                  type: string
                                  description: The asset that was received on the chainOut.
                                minAmountOut:
                                  type: string
                                  description: >-
                                    The minimum native value of tokenOut
                                    guaranteed to be received on the chainOut,
                                    after slippage.
                                minAmountOutUsd:
                                  type: number
                                  description: The USD value of the minAmountOut.
                                usdPriceTokenIn:
                                  type: number
                                  description: >-
                                    The USD price of the tokenIn at the time the
                                    quote was created.
                                usdPriceTokenOut:
                                  type: number
                                  description: >-
                                    The USD price of the tokenOut at the time
                                    the quote was created.
                                preSwap:
                                  $ref: '#/components/schemas/SwapQuote'
                                postSwap:
                                  $ref: '#/components/schemas/SwapQuote'
                                mode:
                                  type: string
                                  enum:
                                    - pay
                                    - receive
                                  description: >-
                                    Whether the amount represented the sending
                                    ("pay") or receiving ("receive") amount when
                                    the quote was generated.
                                isAtomicSwap:
                                  type: boolean
                                  description: >-
                                    Whether the transaction was executed as an
                                    atomic swap.
                                swapFeeMultiplier:
                                  type: string
                                  description: >-
                                    The multiplier applied to the swap fee for
                                    this transaction.
                                state:
                                  type: string
                                  enum:
                                    - PENDING
                              additionalProperties: false
                            - type: object
                              required:
                                - _tag
                                - _id
                                - userId
                                - chainIn
                                - chainOut
                                - amountIn
                                - amountInUsd
                                - amountOut
                                - amountOutUsd
                                - amountNative
                                - amountNativeUsd
                                - fee
                                - feeUsd
                                - gasFee
                                - gasFeeUsd
                                - platformFee
                                - platformFeeUsd
                                - percentageFee
                                - percentageFeeUsd
                                - sourceGasFee
                                - sourceGasFeeUsd
                                - sponsoredFees
                                - recipient
                                - depositor
                                - createdAt
                                - commitmentDate
                                - token
                                - usdPrice
                                - state
                              properties:
                                _tag:
                                  type: string
                                  enum:
                                    - depositAddressBridge
                                _id:
                                  type: string
                                userId:
                                  type: string
                                  description: >-
                                    The projectID that the transaction is
                                    associated with.
                                chainIn:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    from.
                                chainOut:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    to.
                                amountIn:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainIn.
                                amountInUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainIn.
                                amountOut:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainOut.
                                amountOutUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainOut.
                                amountNative:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    - type: 'null'
                                  description: >-
                                    The amount of native gas token (e.g. ETH,
                                    MATIC, BNB) that was delivered to the user's
                                    wallet on the destination chain as part of
                                    gas boost functionality, where Rhino.fi
                                    delivers a small amount of native gas token
                                    to the destination address, ensuring that
                                    further transactions from this address can
                                    be made immediately.
                                amountNativeUsd:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    - type: 'null'
                                  description: The value, in USD, of amountNative.
                                fee:
                                  type: string
                                  description: >-
                                    The total cost of the transaction as paid by
                                    the end customer, denominated in the token.
                                feeUsd:
                                  type: number
                                  description: The total cost, in USD, of the transaction.
                                gasFee:
                                  type: string
                                  description: >-
                                    Any chain specific costs charged to the end
                                    customer for the chainOut part of the
                                    overall transaction. Further information
                                    about which chains have these associated
                                    costs can be found here:
                                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                    If these costs are being paid by the client
                                    then this value will be zero and the gasFee
                                    and gasFeeUsd in the sponsored fee body will
                                    be non-zero.
                                gasFeeUsd:
                                  type: number
                                  description: The gasFee value, in USD.
                                platformFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the $-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                platformFeeUsd:
                                  type: number
                                  description: The platformFee value, in USD.
                                percentageFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the %-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                percentageFeeUsd:
                                  type: number
                                  description: The percentageFee value, in USD.
                                sourceGasFee:
                                  type: string
                                  description: >-
                                    The cost on the chainIn to sweep the
                                    received tokens into Rhino.fi's control. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut. For
                                    PAYG/Subscription tier clients this is paid
                                    by Rhino.fi as part of the PAYG/Subscription
                                    monthly cost so no direct cost is passed
                                    onto the end customer, unless configured
                                    this way. This is only relevant for
                                    transactions involving a Rhino.fi Smart
                                    Deposit Address; for bridging/swapping-only
                                    activity the sourceGasFee will be paid
                                    directly by the customer within their
                                    depositing transaction.
                                sourceGasFeeUsd:
                                  type: number
                                  description: The sourceGasFee value, in USD.
                                sponsoredFees:
                                  type: object
                                  required:
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                  properties:
                                    fee:
                                      type: string
                                      description: The total cost of the transaction.
                                    feeUsd:
                                      type: number
                                      description: >-
                                        The total cost of the transaction, in
                                        USD.
                                    gasFee:
                                      type: string
                                      description: >-
                                        Any chain specific costs charged to the
                                        client for the chainOut part of the
                                        overall transaction. Further information
                                        about which chains have these associated
                                        costs can be found here:
                                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                        If these costs are being passed on to
                                        the end user then this value will be
                                        zero and the gasFee and gasFeeUsd in the
                                        main fee body will be non-zero.
                                    gasFeeUsd:
                                      type: number
                                      description: The gasFee value, in USD.
                                    platformFee:
                                      type: string
                                      description: >-
                                        The value of any additional fee levied
                                        on top by Rhino.fi and paid by the
                                        client. This is only relevant for legacy
                                        clients.
                                    platformFeeUsd:
                                      type: number
                                      description: The platformFee value, in USD.
                                    percentageFee:
                                      type: string
                                      description: >-
                                        Will be zero since this represents a
                                        charge levied on the end customer by the
                                        client. To understand the value charged
                                        to the end customer, the percentageFee
                                        value from the main fee body should be
                                        used. N.B. for PAYG/Subscription clients
                                        this is now referred to as the "Client
                                        Surcharge".
                                    percentageFeeUsd:
                                      type: number
                                      description: The percentageFee value, in USD.
                                    sourceGasFee:
                                      type: string
                                      description: >-
                                        The cost on the chainIn to sweep the
                                        received tokens into Rhino.fi's control.
                                        For legacy clients this is deducted from
                                        the tokens sent on the chainOut. For
                                        PAYG/Subscription tier clients this is
                                        paid by Rhino.fi as part of the
                                        PAYG/Subscription monthly cost so no
                                        direct cost is passed onto the client,
                                        unless configured to be passed onto the
                                        end customer. This is only relevant for
                                        transactions involving a Rhino.fi Smart
                                        Deposit Address; for
                                        bridging/swapping-only activity the
                                        sourceGasFee will be paid directly by
                                        the customer within their depositing
                                        transaction.
                                    sourceGasFeeUsd:
                                      type: number
                                      description: The sourceGasFee value, in USD.
                                  additionalProperties: false
                                  description: >-
                                    For both legacy and PAYG/Subscription
                                    clients, represents the fees that are paid
                                    by the client on behalf of the end customer.
                                recipient:
                                  type: string
                                  description: >-
                                    The address on the chainOut that received
                                    the bridged tokens.
                                depositor:
                                  type: string
                                  description: >-
                                    The address on the chainIn that sent the
                                    tokens for bridging.
                                createdAt:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was created.
                                commitmentDate:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was committed with
                                    Rhino.fi.
                                speed:
                                  type: string
                                  enum:
                                    - fast
                                    - standard
                                    - slow
                                  description: >-
                                    Provides information about whether the
                                    transaction is expected to be completed
                                    "fast" (typically under 30 seconds),
                                    "standard" (typically under a minute) or
                                    "slow" (can be up to 20 minutes). For more
                                    information on our bridge processing speeds
                                    please read this article on the Rhino.fi
                                    Knowledge Base:
                                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                                estimatedDuration:
                                  type: number
                                  description: >-
                                    The estimated time for the transaction to
                                    complete in milliseconds.
                                  title: nonNegative
                                  minimum: 0
                                postBridgeData:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/ExtendedPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapSandboxPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                    - $ref: >-
                                        #/components/schemas/AaveV3SupplyPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/RocketFoundationDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/MapleDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/EtherfiDepositPostBridgeData
                                  description: >-
                                    Custom Routing Rules as configured by
                                    Rhino.fi for a specific client, e.g. to move
                                    funds after the initial bridge into a yield
                                    bearing vault. To understand more about how
                                    Routing Rules can help automate onchain
                                    actions and ensure that your funds land in
                                    an active state, please contact your
                                    Rhino.fi Customer Success Manager or speak
                                    to a member of the Rhino.fi sales team.
                                flowCredits:
                                  type: number
                                  description: >-
                                    The number of Flow Credits that this
                                    transaction will use from the client's
                                    agreed Rhino.fi PAYG/Subscription tier.
                                token:
                                  type: string
                                  description: >-
                                    The asset deposited into the Smart Deposit
                                    Address on the chainIn. Where the deposit
                                    address performs a swap, the asset received
                                    on the chainOut may differ.
                                tokenOut:
                                  type: string
                                  description: >-
                                    The asset received on the chainOut where the
                                    deposit address performs a swap.
                                usdPrice:
                                  type: number
                                  description: >-
                                    The USD price of the token at the time the
                                    quote was created.
                                depositAddress:
                                  type: string
                                  description: >-
                                    The Rhino.fi Smart Deposit Address that the
                                    tokens were deposited to.
                                preSwap:
                                  $ref: '#/components/schemas/SwapQuote'
                                postSwap:
                                  $ref: '#/components/schemas/SwapQuote'
                                state:
                                  type: string
                                  enum:
                                    - PENDING
                              additionalProperties: false
                            - type: object
                              required:
                                - _id
                                - userId
                                - chainIn
                                - chainOut
                                - amountIn
                                - amountInUsd
                                - amountOut
                                - amountOutUsd
                                - amountNative
                                - amountNativeUsd
                                - fee
                                - feeUsd
                                - gasFee
                                - gasFeeUsd
                                - platformFee
                                - platformFeeUsd
                                - percentageFee
                                - percentageFeeUsd
                                - sourceGasFee
                                - sourceGasFeeUsd
                                - sponsoredFees
                                - recipient
                                - depositor
                                - createdAt
                                - commitmentDate
                                - token
                                - usdPrice
                                - depositTxHash
                                - depositDiscoveredAt
                                - expectedDepositConfirmedAt
                                - expectedDepositConfirmedAtBlock
                                - state
                              properties:
                                _id:
                                  type: string
                                userId:
                                  type: string
                                  description: >-
                                    The projectID that the transaction is
                                    associated with.
                                chainIn:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    from.
                                chainOut:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    to.
                                amountIn:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainIn.
                                amountInUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainIn.
                                amountOut:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainOut.
                                amountOutUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainOut.
                                amountNative:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    - type: 'null'
                                  description: >-
                                    The amount of native gas token (e.g. ETH,
                                    MATIC, BNB) that was delivered to the user's
                                    wallet on the destination chain as part of
                                    gas boost functionality, where Rhino.fi
                                    delivers a small amount of native gas token
                                    to the destination address, ensuring that
                                    further transactions from this address can
                                    be made immediately.
                                amountNativeUsd:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    - type: 'null'
                                  description: The value, in USD, of amountNative.
                                fee:
                                  type: string
                                  description: >-
                                    The total cost of the transaction as paid by
                                    the end customer, denominated in the token.
                                feeUsd:
                                  type: number
                                  description: The total cost, in USD, of the transaction.
                                gasFee:
                                  type: string
                                  description: >-
                                    Any chain specific costs charged to the end
                                    customer for the chainOut part of the
                                    overall transaction. Further information
                                    about which chains have these associated
                                    costs can be found here:
                                    https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                    If these costs are being paid by the client
                                    then this value will be zero and the gasFee
                                    and gasFeeUsd in the sponsored fee body will
                                    be non-zero.
                                gasFeeUsd:
                                  type: number
                                  description: The gasFee value, in USD.
                                platformFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the $-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                platformFeeUsd:
                                  type: number
                                  description: The platformFee value, in USD.
                                percentageFee:
                                  type: string
                                  description: >-
                                    The resulting fee charged from the %-based
                                    Client Surcharge. This is applicable to both
                                    legacy and PAYG/Subscription clients. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut and will be sent
                                    to the client at month end. For
                                    PAYG/Subscription clients this will be
                                    rebated at month end.
                                percentageFeeUsd:
                                  type: number
                                  description: The percentageFee value, in USD.
                                sourceGasFee:
                                  type: string
                                  description: >-
                                    The cost on the chainIn to sweep the
                                    received tokens into Rhino.fi's control. For
                                    legacy clients this is deducted from the
                                    tokens sent on the chainOut. For
                                    PAYG/Subscription tier clients this is paid
                                    by Rhino.fi as part of the PAYG/Subscription
                                    monthly cost so no direct cost is passed
                                    onto the end customer, unless configured
                                    this way. This is only relevant for
                                    transactions involving a Rhino.fi Smart
                                    Deposit Address; for bridging/swapping-only
                                    activity the sourceGasFee will be paid
                                    directly by the customer within their
                                    depositing transaction.
                                sourceGasFeeUsd:
                                  type: number
                                  description: The sourceGasFee value, in USD.
                                sponsoredFees:
                                  type: object
                                  required:
                                    - fee
                                    - feeUsd
                                    - gasFee
                                    - gasFeeUsd
                                    - platformFee
                                    - platformFeeUsd
                                    - percentageFee
                                    - percentageFeeUsd
                                    - sourceGasFee
                                    - sourceGasFeeUsd
                                  properties:
                                    fee:
                                      type: string
                                      description: The total cost of the transaction.
                                    feeUsd:
                                      type: number
                                      description: >-
                                        The total cost of the transaction, in
                                        USD.
                                    gasFee:
                                      type: string
                                      description: >-
                                        Any chain specific costs charged to the
                                        client for the chainOut part of the
                                        overall transaction. Further information
                                        about which chains have these associated
                                        costs can be found here:
                                        https://learn.rhino.fi/articles/7749894324-tron-and-solana-onchain-gas-costs.
                                        If these costs are being passed on to
                                        the end user then this value will be
                                        zero and the gasFee and gasFeeUsd in the
                                        main fee body will be non-zero.
                                    gasFeeUsd:
                                      type: number
                                      description: The gasFee value, in USD.
                                    platformFee:
                                      type: string
                                      description: >-
                                        The value of any additional fee levied
                                        on top by Rhino.fi and paid by the
                                        client. This is only relevant for legacy
                                        clients.
                                    platformFeeUsd:
                                      type: number
                                      description: The platformFee value, in USD.
                                    percentageFee:
                                      type: string
                                      description: >-
                                        Will be zero since this represents a
                                        charge levied on the end customer by the
                                        client. To understand the value charged
                                        to the end customer, the percentageFee
                                        value from the main fee body should be
                                        used. N.B. for PAYG/Subscription clients
                                        this is now referred to as the "Client
                                        Surcharge".
                                    percentageFeeUsd:
                                      type: number
                                      description: The percentageFee value, in USD.
                                    sourceGasFee:
                                      type: string
                                      description: >-
                                        The cost on the chainIn to sweep the
                                        received tokens into Rhino.fi's control.
                                        For legacy clients this is deducted from
                                        the tokens sent on the chainOut. For
                                        PAYG/Subscription tier clients this is
                                        paid by Rhino.fi as part of the
                                        PAYG/Subscription monthly cost so no
                                        direct cost is passed onto the client,
                                        unless configured to be passed onto the
                                        end customer. This is only relevant for
                                        transactions involving a Rhino.fi Smart
                                        Deposit Address; for
                                        bridging/swapping-only activity the
                                        sourceGasFee will be paid directly by
                                        the customer within their depositing
                                        transaction.
                                    sourceGasFeeUsd:
                                      type: number
                                      description: The sourceGasFee value, in USD.
                                  additionalProperties: false
                                  description: >-
                                    For both legacy and PAYG/Subscription
                                    clients, represents the fees that are paid
                                    by the client on behalf of the end customer.
                                recipient:
                                  type: string
                                  description: >-
                                    The address on the chainOut that received
                                    the bridged tokens.
                                depositor:
                                  type: string
                                  description: >-
                                    The address on the chainIn that sent the
                                    tokens for bridging.
                                createdAt:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was created.
                                commitmentDate:
                                  type: string
                                  description: >-
                                    The datetime that the bridging /
                                    bridging+swapping quote was committed with
                                    Rhino.fi.
                                speed:
                                  type: string
                                  enum:
                                    - fast
                                    - standard
                                    - slow
                                  description: >-
                                    Provides information about whether the
                                    transaction is expected to be completed
                                    "fast" (typically under 30 seconds),
                                    "standard" (typically under a minute) or
                                    "slow" (can be up to 20 minutes). For more
                                    information on our bridge processing speeds
                                    please read this article on the Rhino.fi
                                    Knowledge Base:
                                    https://learn.rhino.fi/articles/8257872655-bridge-speed.
                                estimatedDuration:
                                  type: number
                                  description: >-
                                    The estimated time for the transaction to
                                    complete in milliseconds.
                                  title: nonNegative
                                  minimum: 0
                                postBridgeData:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/ExtendedPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/WirexWrapSandboxPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/StarkwareBtcfiCampaignV2PostBridgeData
                                    - $ref: >-
                                        #/components/schemas/AaveV3SupplyPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/RocketFoundationDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/MapleDepositPostBridgeData
                                    - $ref: >-
                                        #/components/schemas/EtherfiDepositPostBridgeData
                                  description: >-
                                    Custom Routing Rules as configured by
                                    Rhino.fi for a specific client, e.g. to move
                                    funds after the initial bridge into a yield
                                    bearing vault. To understand more about how
                                    Routing Rules can help automate onchain
                                    actions and ensure that your funds land in
                                    an active state, please contact your
                                    Rhino.fi Customer Success Manager or speak
                                    to a member of the Rhino.fi sales team.
                                flowCredits:
                                  type: number
                                  description: >-
                                    The number of Flow Credits that this
                                    transaction will use from the client's
                                    agreed Rhino.fi PAYG/Subscription tier.
                                token:
                                  type: string
                                  description: >-
                                    The asset being bridged, sent on the chainIn
                                    and received on the chainOut.
                                usdPrice:
                                  type: number
                                  description: >-
                                    The USD price of the token at the time the
                                    quote was created.
                                _tag:
                                  type: string
                                  enum:
                                    - bridge
                                depositTxHash:
                                  type: string
                                  description: >-
                                    The transaction hash of the deposit made on
                                    the chainIn.
                                depositDiscoveredAt:
                                  type: string
                                  description: >-
                                    The datetime that Rhino.fi first discovered
                                    the deposit transaction on the chainIn.
                                expectedDepositConfirmedAt:
                                  type: string
                                  description: >-
                                    The datetime that the deposit transaction is
                                    expected to reach the required number of
                                    confirmations on the chainIn.
                                expectedDepositConfirmedAtBlock:
                                  type: integer
                                  description: >-
                                    The block on the chainIn at which the
                                    deposit transaction is expected to reach the
                                    required number of confirmations.
                                  title: int
                                state:
                                  type: string
                                  enum:
                                    - PENDING_CONFIRMATION
                              additionalProperties: false
                            - type: object
                              required:
                                - _tag
                                - _id
                                - userId
                                - chainIn
                                - chainOut
                                - amountIn
                                - amountInUsd
                                - amountOut
                                - amountOutUsd
                                - amountNative
                                - amountNativeUsd
                                - fee
                                - feeUsd
                                - gasFee
                                - gasFeeUsd
                                - platformFee
                                - platformFeeUsd
                                - percentageFee
                                - percentageFeeUsd
                                - sourceGasFee
                                - sourceGasFeeUsd
                                - sponsoredFees
                                - recipient
                                - depositor
                                - createdAt
                                - commitmentDate
                                - tokenIn
                                - tokenOut
                                - minAmountOut
                                - minAmountOutUsd
                                - usdPriceTokenIn
                                - usdPriceTokenOut
                                - depositTxHash
                                - depositDiscoveredAt
                                - expectedDepositConfirmedAt
                                - expectedDepositConfirmedAtBlock
                                - state
                              properties:
                                _tag:
                                  type: string
                                  enum:
                                    - bridgeSwap
                                _id:
                                  type: string
                                userId:
                                  type: string
                                  description: >-
                                    The projectID that the transaction is
                                    associated with.
                                chainIn:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    from.
                                chainOut:
                                  type: string
                                  description: >-
                                    The blockchain that the tokens were bridged
                                    to.
                                amountIn:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainIn.
                                amountInUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainIn.
                                amountOut:
                                  type: string
                                  description: >-
                                    The native value of the tokens that were
                                    sent on the chainOut.
                                amountOutUsd:
                                  type: number
                                  description: >-
                                    The USD value of the tokens that were sent
                                    on the chainOut.
                                amountNative:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromString
                                    - type: 'null'
                                  description: >-
                                    The amount of native gas token (e.g. ETH,
                                    MATIC, BNB) that was delivered to the user's
                                    wallet on the destination chain as part of
                                    gas boost functionality, where Rhino.fi
                                    delivers a small amount of native gas token
                                    to the destination address, ensuring that
                                    further transactions from this address can
                                    be made immediately.
                                amountNativeUsd:
                                  anyOf:
                                    - $ref: >-
                                        #/components/schemas/BigDecimalFromNumber
                                    - type: 'null'
                                  description: The value, in USD, of amountNative.
[...]
